## manaplus 1.7.1.21

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
CMAKE_POLICY(VERSION 2.6)

PROJECT(MANAPLUS)

IF (NOT VERSION)
    SET(VERSION 1.0.0)
ENDIF()

STRING(REPLACE "." " " _VERSION ${VERSION})
SEPARATE_ARGUMENTS(_VERSION)
LIST(LENGTH _VERSION _LEN)
IF(NOT _LEN EQUAL 4 AND NOT _LEN EQUAL 3)
    MESSAGE(FATAL_ERROR "Version needs to be in the form MAJOR.MINOR.RELEASE[.BUILD]")
ENDIF()

LIST(GET _VERSION 0 VER_MAJOR)
LIST(GET _VERSION 1 VER_MINOR)
LIST(GET _VERSION 2 VER_RELEASE)
IF(_LEN EQUAL 4)
    LIST(GET _VERSION 3 VER_BUILD)
ELSE()
    SET(VER_BUILD 0)
ENDIF()

# where to look for cmake modules
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMake/Modules)

FIND_PACKAGE(Gettext)

OPTION(WITH_OPENGL "Enable OpenGL support" ON)
OPTION(ENABLE_NLS "Enable building of tranlations" ON)
OPTION(ENABLE_TMWA "Enable tmwA support" ON)

IF (WIN32)
    SET(PKG_DATADIR ".")
    SET(PKG_BINDIR ".")
    SET(LOCALEDIR ".")
    CONFIGURE_FILE(src/winver.h.in src/winver.h)
ELSE (WIN32)
    IF (NOT OSX AND NOT BEOS)
        OPTION(USE_X11 "Use X11 Clipboard functionality" ON)
    ENDIF ()
    SET(PKG_DATADIR ${CMAKE_INSTALL_PREFIX}/share/manaplus)
    SET(LOCALEDIR ${CMAKE_INSTALL_PREFIX}/share/locale)
    SET(PKG_BINDIR ${CMAKE_INSTALL_PREFIX}/bin)
ENDIF (WIN32)

ADD_SUBDIRECTORY(data)
ADD_SUBDIRECTORY(src)

IF (GETTEXT_FOUND AND ENABLE_NLS)
    ADD_SUBDIRECTORY(po)
ENDIF()

If(UNIX)
    INSTALL(FILES manaplus.desktop DESTINATION share/applications)
    INSTALL(FILES manaplustest.desktop DESTINATION share/applications)
ENDIF()

SET(CPACK_PACKAGE_NAME "manaplus")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "ManaPlus")
SET(CPACK_PACKAGE_VENDOR "ManaPlus Development Team")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "ManaPlus")
SET(CPACK_PACKAGE_VERSION_MAJOR ${VER_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${VER_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${VER_RELEASE})
IF(WIN32)
    SET(CPACK_NSIS_DISPLAY_NAME "ManaPlus")
    SET(CPACK_NSIS_MUI_ICON "${CMAKE_CURRENT_SOURCE_DIR}/data/icons/manaplus.ico")
    SET(CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}/packaging/windows/setup_welcome.bmp")
    SET(CPACK_NSIS_URL_INFO_ABOUT "http://manaplus.org")
ENDIF()
INCLUDE(CPack)

=== src/CMakeLists.txt ===
FIND_PACKAGE(SDL REQUIRED)
FIND_PACKAGE(SDL_image REQUIRED)
FIND_PACKAGE(SDL_mixer REQUIRED)
FIND_PACKAGE(SDL_net REQUIRED)
FIND_PACKAGE(SDL_ttf REQUIRED)
FIND_PACKAGE(SDL_gfx REQUIRED)
FIND_PACKAGE(CURL REQUIRED)
FIND_PACKAGE(LibXml2 REQUIRED)
FIND_PACKAGE(PhysFS REQUIRED)
FIND_PACKAGE(PNG REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)
FIND_PACKAGE(ZLIB REQUIRED)

IF (POLICY CMP0015)
  CMAKE_POLICY(SET CMP0015 OLD)
ENDIF()

SET(FLAGS "-DPACKAGE_VERSION=\\\"${VERSION}\\\"")
SET(FLAGS "${FLAGS} -DPKG_DATADIR=\\\"${PKG_DATADIR}/\\\"")
SET(FLAGS "${FLAGS} -DLOCALEDIR=\\\"${LOCALEDIR}/\\\"")
SET(DYE_FLAGS "-DPACKAGE_VERSION=\\\"${VERSION}\\\" -DDYECMD")
SET(DYE_FLAGS "${DYE_FLAGS} -DPKG_DATADIR=\\\"${PKG_DATADIR}/\\\"")
SET(DYE_FLAGS "${DYE_FLAGS} -DLOCALEDIR=\\\"${LOCALEDIR}/\\\"")

IF (ENABLE_NLS)
    SET(FLAGS "${FLAGS} -DENABLE_NLS=1")
ENDIF()

IF (ENABLE_TMWA)
    SET(FLAGS "${FLAGS} -DTMWA_SUPPORT=1")
ENDIF()

SET(FLAGS "${FLAGS} -DENABLE_LIBXML -DENABLE_ASSERTS")

IF (CMAKE_BUILD_TYPE)
    STRING(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
    IF(CMAKE_BUILD_TYPE_TOLOWER MATCHES debug OR
       CMAKE_BUILD_TYPE_TOLOWER MATCHES relwithdebinfo)
        SET(FLAGS "${FLAGS} -DDEBUG")
        SET(DYE_FLAGS "${DYE_FLAGS} -DDEBUG")
    ENDIF()
ENDIF()

IF (WIN32)
    SET(EXTRA_LIBRARIES ws2_32 winmm)
    FIND_PACKAGE(LibIntl REQUIRED)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "Darwin" OR BEOS)
    FIND_PACKAGE(LibIntl REQUIRED)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL SunOS)
    # explicit linking to libintl is required on Solaris
    SET(EXTRA_LIBRARIES intl)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL Linux)
    #some distros need this explicitly linked
    SET(EXTRA_LIBRARIES rt)
ENDIF()

SET(FLAGS "${FLAGS} -DUSE_MUMBLE")

IF (WITH_OPENGL)
    FIND_PACKAGE(OpenGL REQUIRED)
    INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
    SET(FLAGS "${FLAGS} -DUSE_OPENGL")
ENDIF (WITH_OPENGL)

IF (USE_X11)
    FIND_PACKAGE(X11 REQUIRED)
    INCLUDE_DIRECTORIES(${X11_INCLUDE_DIR})
    SET(FLAGS "${FLAGS} -DUSE_X11")
ENDIF (USE_X11)

INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${SDL_INCLUDE_DIR}
    ${SDLIMAGE_INCLUDE_DIR}
    ${SDLMIXER_INCLUDE_DIR}
    ${SDLNET_INCLUDE_DIR}
    ${SDLTTF_INCLUDE_DIR}
    ${SDLGFX_INCLUDE_DIR}
    ${PNG_INCLUDE_DIR}
    ${PHYSFS_INCLUDE_DIR}
    ${CURL_INCLUDE_DIR}
    ${LIBXML2_INCLUDE_DIR}
    )

# enable rc-handling with mingw
# most likely this part can be kicked out with some later cmake version
IF (MINGW)
    FIND_PATH(MINGW_INCLUDE_DIR windows.h $ENV{INCLUDE})
    IF (MINGW_INCLUDE_DIR)
        MESSAGE(STATUS "Found mingw headers: ${MINGW_INCLUDE_DIR}")
        INCLUDE_DIRECTORIES(${MINGW_INCLUDE_DIR})
    ELSE()
        MESSAGE(FATAL_ERROR "Unable to find mingw headers. Required for windres")
    ENDIF()
    SET(CMAKE_RC_COMPILER_INIT windres)
    ENABLE_LANGUAGE(RC)
    SET(CMAKE_RC_COMPILE_OBJECT
      "<CMAKE_RC_COMPILER> <FLAGS> <DEFINES> -O coff -o <OBJECT> <SOURCE>")
ENDIF()

# Fix some stuff that gets not hidden by mainline modules
MARK_AS_ADVANCED(PHYSFS_INCLUDE_DIR)
MARK_AS_ADVANCED(PHYSFS_LIBRARY)
MARK_AS_ADVANCED(SDLIMAGE_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLIMAGE_LIBRARY)
MARK_AS_ADVANCED(SDLMAIN_LIBRARY)
MARK_AS_ADVANCED(SDLMIXER_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLMIXER_LIBRARY)
MARK_AS_ADVANCED(SDLNET_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLNET_LIBRARY)
MARK_AS_ADVANCED(SDL_INCLUDE_DIR)
MARK_AS_ADVANCED(SDL_LIBRARY)

SET(SRCS
    gui/widgets/avatarlistbox.cpp
    gui/widgets/avatarlistbox.h
    gui/models/avatarlistmodel.h
    gui/models/beingslistmodel.h
    gui/models/colorlistmodel.h
    gui/widgets/tabs/chat/battletab.cpp
    gui/widgets/tabs/chat/battletab.h
    gui/widgets/tabs/chat/channeltab.cpp
    gui/widgets/tabs/chat/channeltab.h
    gui/widgets/browserbox.cpp
    gui/widgets/browserbox.h
    gui/widgets/button.cpp
    gui/widgets/button.h
    gui/widgets/characterdisplay.cpp
    gui/widgets/characterdisplay.h
    gui/widgets/characterviewbase.h
    gui/widgets/characterviewnormal.cpp
    gui/widgets/characterviewnormal.h
    gui/widgets/characterviewsmall.cpp
    gui/widgets/characterviewsmall.h
    gui/widgets/attrs/attrdisplay.cpp
    gui/widgets/attrs/attrdisplay.h
    gui/widgets/attrs/changedisplay.cpp
    gui/widgets/attrs/changedisplay.h
    gui/widgets/attrs/derdisplay.cpp
    gui/widgets/attrs/derdisplay.h
    gui/widgets/tabs/debugwindowtabs.cpp
    gui/widgets/tabs/debugwindowtabs.h
    gui/widgets/tabs/chat/chattab.cpp
    gui/widgets/tabs/chat/chattab.h
    gui/widgets/chatinput.h
    gui/widgets/checkbox.cpp
    gui/widgets/checkbox.h
    gui/models/colormodel.cpp
    gui/models/colormodel.h
    gui/widgets/colorpage.cpp
    gui/widgets/colorpage.h
    gui/widgets/container.cpp
    gui/widgets/container.h
    gui/widgets/containerplacer.cpp
    gui/widgets/containerplacer.h
    gui/widgets/createwidget.h
    gui/widgets/desktop.cpp
    gui/widgets/desktop.h
    gui/widgets/dropdown.cpp
    gui/widgets/dropdown.h
    gui/widgets/emoteshortcutcontainer.cpp
    gui/widgets/emoteshortcutcontainer.h
    gui/widgets/equipmentbox.h
    gui/widgets/equipmentpage.h
    gui/widgets/extendedlistbox.cpp
    gui/widgets/extendedlistbox.h
    gui/widgets/extendedlistboxitem.h
    gui/models/extendedlistmodel.h
    gui/models/extendednamesmodel.cpp
    gui/models/extendednamesmodel.h
    gui/models/fontsizechoicelistmodel.h
    gui/models/fontsmodel.h
    gui/models/iconsmodel.h
    gui/models/ignorechoiceslistmodel.h
    gui/models/itemsmodel.h
    gui/models/keylistmodel.h
    gui/models/langlistmodel.h
    gui/widgets/flowcontainer.cpp
    gui/widgets/flowcontainer.h
    gui/widgets/tabs/chat/gmtab.cpp
    gui/widgets/tabs/chat/gmtab.h
    gui/widgets/tabs/chat/guildtab.cpp
    gui/widgets/tabs/chat/guildtab.h
    gui/widgets/tabs/chat/partytab.cpp
    gui/widgets/tabs/chat/partytab.h
    gui/widgets/horizontcontainer.cpp
    gui/widgets/horizontcontainer.h
    gui/widgets/icon.cpp
    gui/widgets/icon.h
    gui/widgets/inttextfield.cpp
    gui/widgets/inttextfield.h
    gui/widgets/itemcontainer.cpp
    gui/widgets/itemcontainer.h
    gui/widgets/itemlinkhandler.cpp
    gui/widgets/itemlinkhandler.h
    gui/widgets/virtshortcutcontainer.cpp
    gui/widgets/virtshortcutcontainer.h
    gui/widgets/emotepage.cpp
    gui/widgets/emotepage.h
    gui/widgets/itemshortcutcontainer.cpp
    gui/widgets/itemshortcutcontainer.h
    gui/widgets/spellshortcutcontainer.cpp
    gui/widgets/spellshortcutcontainer.h
    gui/widgets/statspage.cpp
    gui/widgets/statspage.h
    gui/widgets/statspagebasic.cpp
    gui/widgets/statspagebasic.h
    gui/widgets/label.cpp
    gui/widgets/label.h
    gui/widgets/tabs/chat/langtab.cpp
    gui/widgets/tabs/chat/langtab.h
    gui/widgets/layout.cpp
    gui/widgets/layout.h
    gui/widgets/layoutarray.cpp
    gui/widgets/layoutarray.h
    gui/widgets/layoutcell.cpp
    gui/widgets/layoutcell.h
    gui/widgets/layouthelper.cpp
    gui/widgets/layouthelper.h
    enums/gui/layouttype.h
    enums/gui/npcactionstate.h
    enums/gui/npcinputstate.h
    gui/widgets/linepart.cpp
    gui/widgets/linepart.h
    gui/widgets/linkhandler.h
    gui/widgets/listbox.cpp
    gui/widgets/listbox.h
    gui/models/modelistmodel.cpp
    gui/models/modelistmodel.h
    gui/models/namesmodel.cpp
    gui/models/namesmodel.h
    gui/models/opengllistmodel.h
    gui/models/playerrelationlistmodel.h
    gui/models/playertablemodel.cpp
    gui/models/playertablemodel.h
    gui/models/questsmodel.h
    gui/models/serverslistmodel.h
    gui/widgets/passwordfield.cpp
    gui/widgets/passwordfield.h
    gui/widgets/playerbox.cpp
    gui/widgets/playerbox.h
    gui/widgets/popup.cpp
    gui/widgets/popup.h
    gui/widgets/popuplist.cpp
    gui/widgets/popuplist.h
    gui/widgets/progressbar.cpp
    gui/widgets/progressbar.h
    gui/widgets/progressindicator.cpp
    gui/widgets/progressindicator.h
    gui/widgets/radiobutton.cpp
    gui/widgets/radiobutton.h
    gui/widgets/radiogroup.cpp
    gui/widgets/radiogroup.h
    gui/widgets/scrollarea.cpp
    gui/widgets/scrollarea.h
    gui/widgets/serverslistbox.h
    gui/widgets/setupbuttonitem.cpp
    gui/widgets/setupbuttonitem.h
    gui/widgets/setupitem.cpp
    gui/widgets/setupitem.h
    gui/widgets/setupquickitem.cpp
    gui/widgets/setupquickitem.h
    gui/widgets/tabs/setuptab.cpp
    gui/widgets/tabs/setuptab.h
    gui/widgets/tabs/setuptabscroll.cpp
    gui/widgets/tabs/setuptabscroll.h
    gui/widgets/setuptouchitem.cpp
    gui/widgets/setuptouchitem.h
    gui/models/shopitems.cpp
    gui/models/shopitems.h
    gui/widgets/shoplistbox.cpp
    gui/widgets/shoplistbox.h
    gui/widgets/shortcutcontainer.cpp
    gui/widgets/shortcutcontainer.h
    resources/skill/skilldata.cpp
    resources/skill/skilldata.h
    resources/skill/skillinfo.cpp
    resources/skill/skillinfo.h
    gui/widgets/skilllistbox.h
    gui/widgets/skillrectanglelistbox.h
    gui/models/skillmodel.cpp
    gui/models/skillmodel.h
    gui/models/sortlistmodelbuy.h
    gui/models/sortlistmodelinv.h
    gui/models/soundsmodel.h
    gui/widgets/slider.cpp
    gui/widgets/slider.h
    gui/widgets/sliderlist.cpp
    gui/widgets/sliderlist.h
    gui/widgets/tabs/shortcuttab.h
    gui/widgets/tabs/skilltab.h
    gui/widgets/tabs/socialattacktab.h
    gui/widgets/tabs/socialfriendsfunctor.h
    gui/widgets/tabs/socialfriendstab.h
    gui/widgets/tabs/socialguildtab.h
    gui/widgets/tabs/socialnavigationtab.h
    gui/widgets/tabs/socialpartytab.h
    gui/widgets/tabs/socialpickuptab.h
    gui/widgets/tabs/socialplayerstab.h
    gui/widgets/tabs/socialtab.h
    gui/widgets/tabs/socialtabbase.h
    gui/widgets/tabs/tab.cpp
    gui/widgets/tabs/tab.h
    gui/widgets/tabbedarea.cpp
    gui/widgets/tabbedarea.h
    gui/widgets/guitable.cpp
    gui/widgets/guitable.h
    gui/models/tablemodel.cpp
    gui/models/tablemodel.h
    gui/models/targettypemodel.h
    gui/models/touchactionmodel.cpp
    gui/models/touchactionmodel.h
    gui/models/typelistmodel.h
    gui/models/updatetypemodel.h
    gui/models/updatelistmodel.h
    gui/models/worldlistmodel.h
    gui/models/themesmodel.h
    gui/widgets/tabstrip.cpp
    gui/widgets/tabstrip.h
    gui/widgets/textbox.cpp
    gui/widgets/textbox.h
    gui/widgets/textfield.cpp
    gui/widgets/textfield.h
    gui/widgets/textpreview.cpp
    gui/widgets/textpreview.h
    gui/widgets/tabs/chat/tradetab.cpp
    gui/widgets/tabs/chat/tradetab.h
    gui/widgets/vertcontainer.cpp
    gui/widgets/vertcontainer.h
    gui/widgets/tabs/chat/whispertab.cpp
    gui/widgets/tabs/chat/whispertab.h
    gui/widgets/widget2.h
    gui/widgets/widgetgroup.cpp
    gui/widgets/widgetgroup.h
    gui/widgets/window.cpp
    gui/widgets/window.h
    gui/widgets/windowcontainer.cpp
    gui/widgets/windowcontainer.h
    gui/popups/beingpopup.cpp
    gui/popups/beingpopup.h
    gui/windows/buydialog.cpp
    gui/windows/buydialog.h
    gui/windows/buyselldialog.cpp
    gui/windows/buyselldialog.h
    gui/windows/changeemaildialog.cpp
    gui/windows/changeemaildialog.h
    gui/windows/changepassworddialog.cpp
    gui/windows/changepassworddialog.h
    gui/windows/charselectdialog.cpp
    gui/windows/charselectdialog.h
    gui/windows/charcreatedialog.cpp
    gui/windows/charcreatedialog.h
    gui/windows/chardeleteconfirm.h
    gui/windows/chatwindow.cpp
    gui/windows/chatwindow.h
    gui/windows/confirmdialog.cpp
    gui/windows/confirmdialog.h
    gui/windows/connectiondialog.cpp
    gui/windows/connectiondialog.h
    gui/windows/cutinwindow.cpp
    gui/windows/cutinwindow.h
    gui/windows/debugwindow.cpp
    gui/windows/debugwindow.h
    gui/windows/didyouknowwindow.cpp
    gui/windows/didyouknowwindow.h
    gui/windows/editdialog.cpp
    gui/windows/editdialog.h
    gui/windows/editserverdialog.cpp
    gui/windows/editserverdialog.h
    gui/windows/emotewindow.cpp
    gui/windows/emotewindow.h
    gui/windows/equipmentwindow.cpp
    gui/windows/equipmentwindow.h
    gui/focushandler.cpp
    gui/focushandler.h

=== data/graphics/gui/CMakeLists.txt ===
SET (FILES
    browserbox.xml
    bubble.png
    bubble.xml
    button.xml
    button_disabled.xml
    button_highlighted.xml
    button_pressed.xml
    buttonplay.png
    buy.xml
    charcreate_playerbox.xml
    checkbox.xml
    circle-off.xml
    circle-on.xml
    colors.xml
    complete_icon.xml
    connection.xml
    cutin.xml
    dbutton.xml
    dbutton_image.xml
    desktop.xml
    dpad.xml
    dpad_image.xml
    dropdown.xml
    dropdown_background.xml
    dropdown_pressed.xml
    emote_selection.xml
    emotetabs.xml
    equipment.xml
    equipment_background.xml
    equipment_playerbox.xml
    equipmentbox.png
    incomplete_icon.xml
    info.xml
    inventory.xml
    inventory_cell.xml
    inventory_cell2.xml
    item_selection.xml
    item_shortcut_background.xml
    itemcontainer.xml
    keyboard_icon.xml
    label.xml
    listbox.xml
    lock.png
    mailedit.xml
    ministatus.xml
    mouse.png
    npc.xml
    ok.xml
    onlinebrowserbox.xml
    outfits.xml
    playerbox.xml
    playerboxselected.xml
    popup.xml
    popupbrowserbox.xml
    progress-indicator.png
    progressbar.xml
    progressbar_fill.xml
    quests.xml
    radio.xml
    resize.xml
    scroll.xml
    scroll_background.xml
    scroll_hbackground.xml
    scroll_highlighted.xml
    scroll_vbackground.xml
    scrollbuttons.xml
    scrollbuttons_pressed.xml
    sell.xml
    server.xml
    shop.xml
    skillrectanglelistbox.xml
    slider.xml
    slider_highlighted.xml
    speechbrowserbox.xml
    speechbubble.xml
    tab.xml
    tab_highlighted.xml
    tab_selected.xml
    tab_unused.xml
    target-cursor-in-range-l.png
    target-cursor-in-range-l.xml
    target-cursor-in-range-m.png
    target-cursor-in-range-m.xml
    target-cursor-in-range-s.png
    target-cursor-in-range-s.xml
    target-cursor-normal-l.png
    target-cursor-normal-l.xml
    target-cursor-normal-m.png
    target-cursor-normal-m.xml
    target-cursor-normal-s.png
    target-cursor-normal-s.xml
    textfield.xml
    textpreview.xml
    unknown-item.png
    window.png
    window.xml
    windowmenu.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/gui)

=== data/themes/golden-delicious/CMakeLists.txt ===
SET (FILES
    avatarlistbox.xml
    beingpopup.xml
    browserbox.xml
    button_disabled.xml
    button_highlighted.xml
    button_pressed.xml
    button.xml
    buy.xml
    charcreate.xml
    CHANGELOG.txt
    chat.xml
    checkbox.xml
    circle-off.xml
    circle-on.xml
    colors.xml
    complete_icon.xml
    cutin.xml
    dbutton.xml
    desktop.xml
    didyouknow.xml
    dpad.xml
    dropdown_background.xml
    dropdown_pressed.xml
    dropdown.xml
    drops.xml
    edit.xml
    emotes.xml
    emotetabs.xml
    equipment_background.xml
    equipmentbox.png
    equipment.xml
    extendedlistbox_high.xml
    extendedlistbox_medium.xml
    extendedlistbox_xhigh.xml
    extendedlistbox.xml
    extendedlistbox_xxhigh.xml
    help.xml
    incomplete_icon.xml
    info.xml
    inventory.xml
    inventory_cell2.xml
    itemcontainer.xml
    itempopup.xml
    item_selection.xml
    items.xml
    keyboard_icon_high.xml
    keyboard_icon_medium.xml
    keyboard_icon_xhigh.xml
    keyboard_icon.xml
    keyboard_icon_xxhigh.xml
    LICENSE.txt
    listbox_high.xml
    listbox_medium.xml
    listbox_xhigh.xml
    listbox.xml
    listbox_xxhigh.xml
    login.xml
    mailedit.xml
    map.xml
    ministatus.xml
    mouse.png
    npc.xml
    ok.xml
    onlinebrowserbox.xml
    outfits.xml
    playerboxselected.xml
    playerbox.xml
    popupbrowserbox_high.xml
    popupbrowserbox_xhigh.xml
    popupbrowserbox.xml
    popupbrowserbox_xxhigh.xml
    popup_high.xml
    popuplist.xml
    popupmenu_high.xml
    popupmenu_medium.xml
    popupmenu_xhigh.xml
    popupmenu.xml
    popupmenu_xxhigh.xml
    popup_xhigh.xml
    popup.xml
    popup_xxhigh.xml
    progressbar.xml
    progress-indicator.png
    quests.xml
    radio.xml
    resize.xml
    scroll_background.xml
    scrollbuttons_pressed.xml
    scrollbuttons.xml
    scroll_hbackground.xml
    scroll_highlighted.xml
    scroll_vbackground.xml
    scroll.xml
    sell.xml
    serverslistbox.xml
    server.xml
    shoplistbox.xml
    shop.xml
    skilllistbox.xml
    skillpopup.xml
    skillrectanglelistbox.xml
    slider_highlighted.xml
    slider.xml
    social.xml
    spells.xml
    status.xml
    tab_highlighted.xml
    tab_selected.xml
    tab_unused.xml
    tab.xml
    textfield.xml
    windowmenu.xml
    window.png
    window.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/golden-delicious)

=== data/themes/jewelry/CMakeLists.txt ===
SET (FILES
    avatarlistbox.xml
    beingpopup.xml
    browserbox.xml
    button.xml
    button_disabled.xml
    button_highlighted.xml
    button_pressed.xml
    buy.xml
    charcreate.xml
    CHANGELOG.txt
    chat.xml
    checkbox.xml
    circle-off.xml
    circle-on.xml
    colors.xml
    complete_icon.xml
    cutin.xml
    dbutton.xml
    didyouknow.xml
    dpad.xml
    dropdown.xml
    dropdown_background.xml
    dropdown_pressed.xml
    drops.xml
    edit.xml
    emotes.xml
    emotetabs.xml
    equipment.xml
    equipment_background.xml
    equipmentbox.png
    extendedlistbox.xml
    extendedlistbox_high.xml
    extendedlistbox_medium.xml
    extendedlistbox_xhigh.xml
    extendedlistbox_xxhigh.xml
    help.xml
    incomplete_icon.xml
    info.xml
    inventory.xml
    inventory_cell2.xml
    item_selection.xml
    itemcontainer.xml
    itempopup.xml
    items.xml
    keyboard_icon.xml
    keyboard_icon_high.xml
    keyboard_icon_medium.xml
    keyboard_icon_xhigh.xml
    keyboard_icon_xxhigh.xml
    LICENSE.txt
    listbox.xml
    listbox_high.xml
    listbox_medium.xml
    listbox_xhigh.xml
    listbox_xxhigh.xml
    login.xml
    mailedit.xml
    map.xml
    ministatus.xml
    mouse.png
    npc.xml
    ok.xml
    onlinebrowserbox.xml
    outfits.xml
    playerbox.xml
    playerboxselected.xml
    popup.xml
    popup_high.xml
    popup_xhigh.xml
    popup_xxhigh.xml
    popupbrowserbox.xml
    popupbrowserbox_high.xml
    popupbrowserbox_medium.xml
    popupbrowserbox_xhigh.xml
    popupbrowserbox_xxhigh.xml
    popuplist.xml
    popupmenu.xml
    popupmenu_high.xml
    popupmenu_medium.xml
    popupmenu_xhigh.xml
    popupmenu_xxhigh.xml
    progressbar.xml
    quests.xml
    radio.xml
    resize.xml
    scroll.xml
    scroll_background.xml
    scroll_hbackground.xml
    scroll_highlighted.xml
    scroll_vbackground.xml
    scrollbuttons.xml
    scrollbuttons_pressed.xml
    sell.xml
    server.xml
    serverslistbox.xml
    shop.xml
    shoplistbox.xml
    skilllistbox.xml
    skillpopup.xml
    skillrectanglelistbox.xml
    slider.xml
    slider_highlighted.xml
    social.xml
    spells.xml
    status.xml
    tab.xml
    tab_highlighted.xml
    tab_selected.xml
    tab_unused.xml
    textfield.xml
    window.png
    window.xml
    windowmenu.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/jewelry)

=== data/themes/pink/CMakeLists.txt ===
SET (FILES
    bubble.png
    buy.xml
    colors.xml
    cutin.xml
    equipment.xml
    info.xml
    inventory.xml
    mailedit.xml
    npc.xml
    ok.xml
    outfits.xml
    popup.xml
    progress-indicator.png
    progressbar.xml
    quests.xml
    sell.xml
    server.xml
    shop.xml
    unknown-item.png
    window.png
    window.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/pink)

=== data/themes/unity/CMakeLists.txt ===
SET (FILES
    buy.xml
    char.xml
    colors.xml
    cutin.xml
    equipment.xml
    info.xml
    inventory.xml
    mailedit.xml
    npc.xml
    ok.xml
    outfits.xml
    popup.xml
    progressbar.xml
    quests.xml
    sell.xml
    server.xml
    shop.xml
    social.xml
    window.png
    window.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/unity)

=== data/themes/wood/CMakeLists.txt ===
SET (FILES
    buy.xml
    colors.xml
    cutin.xml
    equipment.xml
    info.xml
    inventory.xml
    item_shortcut_bgr.png
    mailedit.xml
    mouse.png
    npc.xml
    ok.xml
    outfits.xml
    popup.xml
    progressbar.xml
    quests.xml
    sell.xml
    server.xml
    shop.xml
    window.png
    window.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/wood)

=== debian/changelog ===
manaplus (1.7.1.21-1) unstable; urgency=medium

  * New upstream release.
    - Upstream added sources for fonts, which are not used in the Debian
      packaging and adjust debian/copyright to add those files.
      Closes: #851113

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 24 Jan 2017 10:25:54 +0100

manaplus (1.7.1.7-1) unstable; urgency=low

  * New upstream release.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 11 Jan 2017 14:27:26 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CONFIGURE_EXTRA_FLAGS := \
	--bindir=/usr/games

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_strip:
	dh_strip -a --dbg-package=manaplus-dbg

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/jewelry/LICENSE.txt
	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/golden-delicious/LICENSE.txt

%:
	dh $@ --parallel --with autoreconf

## manaplus 1.7.6.24

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 FIND_PACKAGE(SDL_gfx REQUIRED)
 FIND_PACKAGE(CURL REQUIRED)
 FIND_PACKAGE(LibXml2 REQUIRED)
-FIND_PACKAGE(PhysFS REQUIRED)
 FIND_PACKAGE(PNG REQUIRED)
 FIND_PACKAGE(Gettext REQUIRED)
 FIND_PACKAGE(ZLIB REQUIRED)
@@ -77,7 +76,6 @@
     ${SDLTTF_INCLUDE_DIR}
     ${SDLGFX_INCLUDE_DIR}
     ${PNG_INCLUDE_DIR}
-    ${PHYSFS_INCLUDE_DIR}
     ${CURL_INCLUDE_DIR}
     ${LIBXML2_INCLUDE_DIR}
     )
@@ -99,8 +97,6 @@
 ENDIF()
 
 # Fix some stuff that gets not hidden by mainline modules
-MARK_AS_ADVANCED(PHYSFS_INCLUDE_DIR)
-MARK_AS_ADVANCED(PHYSFS_LIBRARY)
 MARK_AS_ADVANCED(SDLIMAGE_INCLUDE_DIR)
 MARK_AS_ADVANCED(SDLIMAGE_LIBRARY)
 MARK_AS_ADVANCED(SDLMAIN_LIBRARY)
@@ -201,6 +197,8 @@
     gui/widgets/itemshortcutcontainer.h
     gui/widgets/spellshortcutcontainer.cpp
     gui/widgets/spellshortcutcontainer.h
+    gui/widgets/staticbrowserbox.cpp
+    gui/widgets/staticbrowserbox.h
     gui/widgets/statspage.cpp
     gui/widgets/statspage.h
     gui/widgets/statspagebasic.cpp
@@ -218,6 +216,7 @@
     gui/widgets/layouthelper.cpp
     gui/widgets/layouthelper.h
     enums/gui/layouttype.h
+    enums/gui/linkhighlightmode.h
     enums/gui/npcactionstate.h
     enums/gui/npcinputstate.h
     gui/widgets/linepart.cpp
@@ -373,3 +372,5 @@
     gui/windows/equipmentwindow.h
     gui/focushandler.cpp
     gui/focushandler.h
+    gui/gui.cpp
+    gui/gui.h

=== debian/changelog ===
manaplus (1.7.6.24-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 30 Jun 2017 10:59:58 +0200

manaplus (1.7.5.27-1) experimental; urgency=low

  * New upstream release.
  * Remove one unused override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 01 Jun 2017 09:28:32 +0200

manaplus (1.7.5.14-1) experimental; urgency=low

  * New upstream release.
  * Merge 1.7.1.21-1~bpo8+1 changelog.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 16 May 2017 10:54:20 +0200

manaplus (1.7.4.29-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 02 May 2017 09:55:15 +0200

manaplus (1.7.4.15-1) experimental; urgency=low

  * New upstream release.
  * Drop build dependency on libphysfs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Apr 2017 09:42:29 +0200

manaplus (1.7.4.1-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 07 Apr 2017 10:37:40 +0200

manaplus (1.7.3.18-1) experimental; urgency=low

  * New upstream release.
    - Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 31 Mar 2017 10:25:50 +0200

manaplus (1.7.1.21-1~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 02 May 2017 10:07:25 +0200

=== debian/control ===
Source: manaplus
Section: games
Priority: optional
Homepage: http://manaplus.org/
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Standards-Version: 4.0.0
Build-Depends: debhelper (>= 9),
 libcurl4-gnutls-dev,
 libgl1-mesa-dev,
 libsdl1.2-dev,
 libsdl-image1.2-dev,
 libsdl-net1.2-dev,
 libsdl-mixer1.2-dev,
 libpng-dev,
 libxml2-dev,
 zlib1g-dev,
 libsdl-ttf2.0-dev,
 libsdl-gfx1.2-dev,
 dh-autoreconf,
 autopoint

Package: manaplus
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 manaplus-data (= ${source:Version}),
 xsel,
 x11-utils,
 xdg-utils
Suggests: mumble
Description: Extended client for Evol Online and The Mana World
 ManaPlus is an extended client for Evol Online, The Mana World, and similar
 servers based on a fork of eAthena. Evol Online is a 2D fantasy-style game
 which aims to create a friendly environment for interacting with others where
 people can escape reality and enjoy themselves. The Mana World (TMW) is a
 serious effort to create an innovative free and open source MMORPG.
 TMW uses 2D graphics and aims to create a large and diverse interactive world.

Package: manaplus-data
Architecture: all
Depends: ${misc:Depends},
 ttf-dejavu-core,
 fonts-liberation
Recommends: manaplus,
 fonts-mplus,
 fonts-wqy-microhei
Description: Extended client for Evol Online and The Mana World (data files)
 ManaPlus is an extended client for Evol Online, The Mana World, and similar
 servers based on a fork of eAthena. Evol Online is a 2D fantasy-style game
 which aims to create a friendly environment for interacting with others where
 people can escape reality and enjoy themselves. The Mana World (TMW) is a
 serious effort to create an innovative free and open source MMORPG.
 TMW uses 2D graphics and aims to create a large and diverse interactive world.
 .
 This package contains the data files.

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
 
-override_dh_strip:
-	dh_strip -a --dbg-package=manaplus-dbg
-
 override_dh_install:
 	dh_install
 	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/jewelry/LICENSE.txt

## manaplus 1.7.7.8

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -119,6 +119,7 @@
     gui/widgets/tabs/chat/channeltab.h
     gui/widgets/browserbox.cpp
     gui/widgets/browserbox.h
+    gui/widgets/browserbox.inc
     gui/widgets/button.cpp
     gui/widgets/button.h
     gui/widgets/characterdisplay.cpp
@@ -372,5 +373,3 @@
     gui/windows/equipmentwindow.h
     gui/focushandler.cpp
     gui/focushandler.h
-    gui/gui.cpp
-    gui/gui.h

=== debian/changelog ===
manaplus (1.7.7.8-1) unstable; urgency=medium

  * New upstream release.
  * Add lintian override for a false positive spelling error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 13 Jul 2017 14:20:38 +0200

## manaplus 1.7.7.22

=== debian/changelog ===
manaplus (1.7.7.22-2) unstable; urgency=medium

  * Drop useless autoreconf dependency.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 02 Aug 2017 09:23:50 +0200

manaplus (1.7.7.22-1) unstable; urgency=medium

  * New upstream release.
  * Bump debian/compat to level 10.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Jul 2017 09:31:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Homepage: http://manaplus.org/
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Standards-Version: 4.0.0
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  libcurl4-gnutls-dev,
  libgl1-mesa-dev,
  libsdl1.2-dev,
@@ -16,7 +16,6 @@
  zlib1g-dev,
  libsdl-ttf2.0-dev,
  libsdl-gfx1.2-dev,
- dh-autoreconf,
  autopoint
 
 Package: manaplus

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,4 @@
 	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/golden-delicious/LICENSE.txt
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --parallel

## manaplus 1.7.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,6 +56,8 @@
 If(UNIX)
     INSTALL(FILES manaplus.desktop DESTINATION share/applications)
     INSTALL(FILES manaplustest.desktop DESTINATION share/applications)
+
+    INSTALL(FILES manaplus.appdata.xml DESTINATION share/appdata)
 ENDIF()
 
 SET(CPACK_PACKAGE_NAME "manaplus")

=== data/test/CMakeLists.txt ===
SET(FILES
    arrow_up.png
    arrow_up_A.png
    arrow_up_B.png
    arrow_up_S.png
    dye.png
    equipmentwindow.xml
    hide.png
    items.xml
    palette.gpl
    paths.xml
    quests.xml
    serverlistplus.xml
    simplefile.txt
    test.txt
    test2.txt
    test.zip
    test2.zip
    test3.zip
    test4.zip
    test5.zip
    testintmap.xml
    units.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/test)

ADD_SUBDIRECTORY(dir1 dir2)

=== data/graphics/shaders/CMakeLists.txt ===
SET(FILES
    gles2_frag.glsl
    gles2_vertex.glsl
    simple_frag.glsl
    simple_vertex.glsl
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/shaders)

=== data/themes/jewelry/CMakeLists.txt ===
--- 
+++ 
@@ -93,6 +93,7 @@
     scrollbuttons_pressed.xml
     sell.xml
     server.xml
+    serverinfo.xml
     serverslistbox.xml
     shop.xml
     shoplistbox.xml

=== data/themes/pink/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
     quests.xml
     sell.xml
     server.xml
+    serverinfo.xml
     shop.xml
     unknown-item.png
     window.png

=== debian/changelog ===
manaplus (1.7.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove extra license file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 12 Sep 2017 15:42:48 +0200

manaplus (1.7.8.19-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.0 (no changes required).
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 31 Aug 2017 11:21:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Homepage: http://manaplus.org/
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Build-Depends: debhelper (>= 10),
  libcurl4-gnutls-dev,
  libgl1-mesa-dev,

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 override_dh_install:
 	dh_install
 	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/jewelry/LICENSE.txt
+	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/jewelry-simple/LICENSE.txt
 	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/golden-delicious/LICENSE.txt
 
 %:

## manaplus 1.7.10.28

=== debian/changelog ===
manaplus (1.7.10.28-1) unstable; urgency=medium

  [ Andrei Karas ]
  * Enable unit tests.
  * Disable compilation of unused tool.

  [ Patrick Matthäi ]
  * New upstream release.
  * Bump Standards-Version to 4.1.1 (no changes required).
  * Override lintian warning debian-watch-uses-insecure-uri.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 06 Nov 2017 14:42:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Homepage: http://manaplus.org/
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 10),
  libcurl4-gnutls-dev,
  libgl1-mesa-dev,

## manaplus 1.7.11.11

=== debian/changelog ===
manaplus (1.7.11.11-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Nov 2017 14:25:11 +0100

## manaplus 1.8.2.17

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -135,10 +135,14 @@
     gui/widgets/attrs/changedisplay.h
     gui/widgets/attrs/derdisplay.cpp
     gui/widgets/attrs/derdisplay.h
+    gui/widgets/tabs/clanwindowtabs.cpp
+    gui/widgets/tabs/clanwindowtabs.h
     gui/widgets/tabs/debugwindowtabs.cpp
     gui/widgets/tabs/debugwindowtabs.h
     gui/widgets/tabs/chat/chattab.cpp
     gui/widgets/tabs/chat/chattab.h
+    gui/widgets/tabs/chat/clantab.cpp
+    gui/widgets/tabs/chat/clantab.h
     gui/widgets/chatinput.h
     gui/widgets/checkbox.cpp
     gui/widgets/checkbox.h
@@ -353,6 +357,8 @@
     gui/windows/chardeleteconfirm.h
     gui/windows/chatwindow.cpp
     gui/windows/chatwindow.h
+    gui/windows/clanwindow.cpp
+    gui/windows/clanwindow.h
     gui/windows/confirmdialog.cpp
     gui/windows/confirmdialog.h
     gui/windows/connectiondialog.cpp
@@ -366,10 +372,3 @@
     gui/windows/editdialog.cpp
     gui/windows/editdialog.h
     gui/windows/editserverdialog.cpp
-    gui/windows/editserverdialog.h
-    gui/windows/emotewindow.cpp
-    gui/windows/emotewindow.h
-    gui/windows/equipmentwindow.cpp
-    gui/windows/equipmentwindow.h
-    gui/focushandler.cpp
-    gui/focushandler.h

=== data/test/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,10 @@
     test5.zip
     testintmap.xml
     units.xml
+    graphics/sprites/hairstyles/hairstyle01.png
+    graphics/sprites/hairstyles/hairstyle01.xml
+    graphics/sprites/hairstyles/hairstyle02.png
+    graphics/sprites/hairstyles/hairstyle02.xml
     )
 
 INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/test)

=== data/themes/CMakeLists.txt ===
ADD_SUBDIRECTORY(blacknblack)
ADD_SUBDIRECTORY(blackwood)
ADD_SUBDIRECTORY(classic)
ADD_SUBDIRECTORY(enchilado)
ADD_SUBDIRECTORY(golden-delicious)
ADD_SUBDIRECTORY(jewelry)
ADD_SUBDIRECTORY(jewelry-simple)
ADD_SUBDIRECTORY(mana)
ADD_SUBDIRECTORY(pink)
ADD_SUBDIRECTORY(unity)
ADD_SUBDIRECTORY(wood)

=== data/graphics/gui/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,7 @@
     scrollbuttons_pressed.xml
     sell.xml
     server.xml
+    serverinfo.xml
     shop.xml
     skillrectanglelistbox.xml
     slider.xml

=== data/perserver/default/CMakeLists.txt ===
SET (FILES
    charcreation.xml
    chatcommands.txt
    deadmessages.xml
    defaultcommands.xml
    features.xml
    gmcommands.txt
    groups.xml
    weapons.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/perserver/default)

=== data/sfx/system/CMakeLists.txt ===
SET (FILES
    attention.ogg
    book.ogg
    chat1.ogg
    chat2.ogg
    complete.ogg
    email.ogg
    error.ogg
    finish.ogg
    incoming.ogg
    move.ogg
    notify.ogg
    newmessage.ogg
    offline.ogg
    online.ogg
    page.ogg
    reminder.ogg
    send.ogg
    start.ogg
    watcher.ogg
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/sfx/system)

=== data/test/dir1/CMakeLists.txt ===
SET(FILES
    file1.txt
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/test/dir1)

=== data/themes/blackwood/CMakeLists.txt ===
SET (FILES
    colors.xml
    info.xml
    mouse.png
    progress-indicator.png
    speech_bubble.png
    speechbubble.xml
    window.png
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/blackwood)

=== data/themes/enchilado/CMakeLists.txt ===
SET (FILES
    buy.xml
    colors.xml
    cutin.xml
    equipment.xml
    info.xml
    inventory.xml
    mailedit.xml
    npc.xml
    ok.xml
    outfits.xml
    popup.xml
    progressbar.xml
    quests.xml
    sell.xml
    server.xml
    serverinfo.xml
    shop.xml
    window.png
    window.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/enchilado)

=== data/themes/golden-delicious/CMakeLists.txt ===
--- 
+++ 
@@ -95,6 +95,7 @@
     sell.xml
     serverslistbox.xml
     server.xml
+    serverinfo.xml
     shoplistbox.xml
     shop.xml
     skilllistbox.xml

=== data/themes/jewelry-simple/CMakeLists.txt ===
SET (FILES
    avatarlistbox.xml
    beingpopup.xml
    browserbox.xml
    button.xml
    button_disabled.xml
    button_highlighted.xml
    button_pressed.xml
    buy.xml
    charcreate.xml
    CHANGELOG.txt
    chat.xml
    checkbox.xml
    circle-off.xml
    circle-on.xml
    colors.xml
    complete_icon.xml
    cutin.xml
    dbutton.xml
    didyouknow.xml
    dpad.xml
    dropdown.xml
    dropdown_background.xml
    dropdown_pressed.xml
    drops.xml
    edit.xml
    emotes.xml
    emotetabs.xml
    equipment.xml
    equipment_background.xml
    equipmentbox.png
    extendedlistbox.xml
    extendedlistbox_high.xml
    extendedlistbox_medium.xml
    extendedlistbox_xhigh.xml
    extendedlistbox_xxhigh.xml
    help.xml
    incomplete_icon.xml
    info.xml
    inventory.xml
    inventory_cell2.xml
    item_selection.xml
    itemcontainer.xml
    itempopup.xml
    items.xml
    keyboard_icon.xml
    keyboard_icon_high.xml
    keyboard_icon_medium.xml
    keyboard_icon_xhigh.xml
    keyboard_icon_xxhigh.xml
    LICENSE.txt
    listbox.xml
    listbox_high.xml
    listbox_medium.xml
    listbox_xhigh.xml
    listbox_xxhigh.xml
    login.xml
    mailedit.xml
    map.xml
    ministatus.xml
    mouse.png
    npc.xml
    ok.xml
    onlinebrowserbox.xml
    outfits.xml
    playerbox.xml
    playerboxselected.xml
    popup.xml
    popup_high.xml
    popup_xhigh.xml
    popup_xxhigh.xml
    popupbrowserbox.xml
    popupbrowserbox_high.xml
    popupbrowserbox_medium.xml
    popupbrowserbox_xhigh.xml
    popupbrowserbox_xxhigh.xml
    popuplist.xml
    popupmenu.xml
    popupmenu_high.xml
    popupmenu_medium.xml
    popupmenu_xhigh.xml
    popupmenu_xxhigh.xml
    progressbar.xml
    quests.xml
    radio.xml
    resize.xml
    scroll.xml
    scroll_background.xml
    scroll_hbackground.xml
    scroll_highlighted.xml
    scroll_vbackground.xml
    scrollbuttons.xml
    scrollbuttons_pressed.xml
    sell.xml
    server.xml
    serverinfo.xml
    serverslistbox.xml
    shop.xml
    shoplistbox.xml
    skilllistbox.xml
    skillpopup.xml
    skillrectanglelistbox.xml
    slider.xml
    slider_highlighted.xml
    social.xml
    spells.xml
    status.xml
    tab.xml
    tab_highlighted.xml
    tab_selected.xml
    tab_unused.xml
    textfield.xml
    window.png
    window.xml
    windowmenu.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/jewelry-simple)

=== data/themes/unity/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
     quests.xml
     sell.xml
     server.xml
+    serverinfo.xml
     shop.xml
     social.xml
     window.png

=== debian/changelog ===
manaplus (1.8.2.17-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Bump debian/compat to level 11.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 20 Feb 2018 15:33:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Homepage: http://manaplus.org/
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11),
  libcurl4-gnutls-dev,
  libgl1-mesa-dev,
  libsdl1.2-dev,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
-	--bindir=/usr/games
+	--bindir=/usr/games \
+	--enable-unittests=yes \
+	--without-dyecmd \
+	--with-unittestsdir=testsdir
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ http://download.evolonline.org/manaplus/download/latest/manaplus-([\d+.]+)\.tar\.xz

## manaplus 1.8.4.14

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -241,6 +241,8 @@
     gui/models/serverslistmodel.h
     gui/widgets/passwordfield.cpp
     gui/widgets/passwordfield.h
+    gui/widgets/pincode.cpp
+    gui/widgets/pincode.h
     gui/widgets/playerbox.cpp
     gui/widgets/playerbox.h
     gui/widgets/popup.cpp
@@ -370,5 +372,3 @@
     gui/windows/didyouknowwindow.cpp
     gui/windows/didyouknowwindow.h
     gui/windows/editdialog.cpp
-    gui/windows/editdialog.h
-    gui/windows/editserverdialog.cpp

=== data/graphics/gui/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,10 @@
     button_disabled.xml
     button_highlighted.xml
     button_pressed.xml
+    buttonpin.xml
+    buttonpin_disabled.xml
+    buttonpin_highlighted.xml
+    buttonpin_pressed.xml
     buttonplay.png
     buy.xml
     charcreate_playerbox.xml
@@ -49,6 +53,7 @@
     ok.xml
     onlinebrowserbox.xml
     outfits.xml
+    pin.xml
     playerbox.xml
     playerboxselected.xml
     popup.xml

=== debian/changelog ===
manaplus (1.8.4.14-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4.
  * Use secure copyright format URL.
  * Fix lintian warning package-uses-deprecated-source-override-location.
  * Remove --parallel option from dh.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 25 Apr 2018 15:18:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Homepage: http://manaplus.org/
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 11),
  libcurl4-gnutls-dev,
  libgl1-mesa-dev,

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,4 @@
 	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/golden-delicious/LICENSE.txt
 
 %:
-	dh $@ --parallel
+	dh $@

## manaplus 1.8.9.1

=== debian/changelog ===
manaplus (1.8.9.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTCBFS: uses the build architecture pkg-config.
      Closes: #901221
  * Remove xsel dependency.
  * Bump Standards-Version to 4.2.1.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 20 Sep 2018 11:35:14 +0200

manaplus (1.8.4.14-2) unstable; urgency=medium

  * Build manaplus against SDL2.
    Closes: #882427

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 Jun 2018 09:37:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Priority: optional
 Homepage: http://manaplus.org/
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 11),
  libcurl4-gnutls-dev,
  libgl1-mesa-dev,
- libsdl1.2-dev,
- libsdl-image1.2-dev,
- libsdl-net1.2-dev,
- libsdl-mixer1.2-dev,
  libpng-dev,
  libxml2-dev,
+ libsdl2-dev,
+ libsdl2-gfx-dev,
+ libsdl2-image-dev,
+ libsdl2-mixer-dev,
+ libsdl2-net-dev,
+ libsdl2-ttf-dev,
  zlib1g-dev,
- libsdl-ttf2.0-dev,
- libsdl-gfx1.2-dev,
  autopoint
 
 Package: manaplus
@@ -23,7 +23,6 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  manaplus-data (= ${source:Version}),
- xsel,
  x11-utils,
  xdg-utils
 Suggests: mumble
